Subject: bug#67070: 29.1; broken keybindings with emacs 29

From: Eshel Yaron <[email-masked]>
Date: Tue, 14 Nov 2023 16:10:24 +0100

>> Emacs 29 seems to inject always a 'super' key event after 'meta'.
>> E.g. when I try to press 'M-x', emacs reports
>>
>> | M-s-x is undefined
>>
>> Ditto with any other key combination which involves 'meta'.

FWIW I had a similar issue a few weeks ago, with Emacs master.  I don't
think it was an Emacs problem though, IIRC I ended up resolving it by
tweaking my ~/.Xmodmap, adding or reordering a `clear` line.

When you say that you press `M-x`, which key exactly are you pressing?
A good way to gain more insight here would be to start `xev` and note
which keycodes it records when you say `M-x`.

Best,

Eshel